package de.intevation.flys.artifacts.states;

import java.util.List;

import org.apache.log4j.Logger;

import de.intevation.artifacts.CallMeta;

import de.intevation.artifactdatabase.state.Facet;

import de.intevation.flys.artifacts.FLYSArtifact;

import de.intevation.flys.artifacts.model.GaugeDischargeFacet;
import de.intevation.flys.artifacts.model.FacetTypes;

import de.intevation.flys.artifacts.resources.Resources;


/**
 * The only state for an GaugeDischargeState (River and km known).
 */
public class GaugeDischargeState
extends      DefaultState
implements   FacetTypes
{
    /** Developer-centric description of facet. */
    public static final String I18N_DESCRIPTION = "facet.discharge.curve";

    /** The logger that is used in this state. */
    private static final Logger logger = Logger.getLogger(GaugeDischargeState.class);


    /**
     * Add an GaugeDischargeFacet to list of Facets.
     *
     * @param artifact Ignored.
     * @param hash Ignored.
     * @param context Ignored.
     * @param meta CallMeta to be used for internationalization.
     * @param facets List to add AnnotationFacet to.
     *
     * @return null.
     */
    @Override
    public Object computeInit(
        FLYSArtifact artifact,
        String       hash,
        Object       context,
        CallMeta     meta,
        List<Facet>  facets
    ) {
        logger.debug("GaugeDischargeState.computeInit()");

        // TODO caching, / CalculationResultusage

        GaugeDischargeFacet facet = new GaugeDischargeFacet(
            0,
            DISCHARGE_CURVE,
            DISCHARGE_CURVE);
            //Resources.getMsg(meta, I18N_DESCRIPTION, I18N_DESCRIPTION));
        facets.add(facet);

        return null;
    }
    // computeAdvance
    //WINFOArtifact#getDischargeCurveData

}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
